#!/bin/bash

if [ $# -ne 1 ]; then
    echo "Usage: ./create-sources VERSION"
    exit 1
fi

VERSION=${1}
NAME="ehcache"

rm -Rf ./${NAME}-${VERSION}

svn export http://svn.terracotta.org/svn/ehcache/tags/${NAME}-${VERSION}

find ./${NAME}-${VERSION} -name .cvsignore -delete
find ./${NAME}-${VERSION} -name '*.bat' -print -delete
# Do not remove test resources
find ./${NAME}-${VERSION} -name '*.jar' ! -name "private-classpath.jar" -print -delete

# Remove all code under Terracotta Public License
# The Terracotta Public License is non-free because of the
# burdensome attribution requirements in Section 14
rm -Rf ./${NAME}-${VERSION}/ehcache
rm -Rf ./${NAME}-${VERSION}/ehcache-scheduled-refresh
rm -Rf ./${NAME}-${VERSION}/ehcache-search-parser
rm -Rf ./${NAME}-${VERSION}/management-ehcache-v1
rm -Rf ./${NAME}-${VERSION}/management-ehcache-v2
rm -Rf ./${NAME}-${VERSION}/management-ehcache-impl
rm -Rf ./${NAME}-${VERSION}/terracotta
rm -Rf ./${NAME}-${VERSION}/distribution/src/main/assembly/root/licenses/EHCACHE-TERRACOTTA-LICENSE.txt
rm -Rf ./${NAME}-${VERSION}/distribution/colorcache
rm -Rf ./${NAME}-${VERSION}/distribution/events
rm -Rf ./${NAME}-${VERSION}/distribution/src/main/assembly/root/terracotta
rm -Rf ./${NAME}-${VERSION}/distribution/src/main/resources
rm -Rf ./${NAME}-${VERSION}/distribution/pom.xml
rm -Rf ./${NAME}-${VERSION}/system-tests
rm -Rf ./${NAME}-${VERSION}/distribution/src/main/assembly/relative-paths.sh
# These file are without license headers ... and ... we don't have all test deps ...
rm -Rf ./${NAME}-${VERSION}/ehcache-core/src/test/java
rm -Rf ./${NAME}-${VERSION}/ehcache-core/src/test/resources

tar cJf ${NAME}-${VERSION}-clean.tar.xz ./${NAME}-${VERSION}
